---
lang: en
title: 'API docs: socketio.socketioinvokemethodprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioinvokemethodprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoInvokeMethodProvider](./socketio.socketioinvokemethodprovider.md)

## SocketIoInvokeMethodProvider class

**Signature:**

```typescript
export declare class SocketIoInvokeMethodProvider implements Provider<SocketIoInvokeMethod> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;[SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)()](./socketio.socketioinvokemethodprovider._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `SocketIoInvokeMethodProvider` class


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[action(context, controller, methodName, args)](./socketio.socketioinvokemethodprovider.action.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[value()](./socketio.socketioinvokemethodprovider.value.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


